## dods.dap
Class NoSuchVariableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              dods.dap.DODSException
                  dods.dap.DDSException
                      dods.dap.NoSuchVariableException

All Implemented Interfaces:
  Serializable

public class NoSuchVariableException
extends DDSException

Thrown when an attempt is made to access a variable that does not exist.

See Also:
  Serialized Form

Field Summary

Fields inherited from class dods.dap.DODSException
`CANNOT_READ_FILE, JAVA_PROGRAM, MALFORMED_EXPR, NO_AUTHORIZATION, NO_PROGRAM, NO_SUCH_FILE, NO_SUCH_VARIABLE, TCL_PROGRAM, UNDEFINED_ERROR, UNDEFINED_PROG_TYPE, UNKNOWN_ERROR`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`NoSuchVariableException(int err, String s)` Construct a `NoSuchVariableException` with the specified message and DODS error code see (`DODSException`).
`NoSuchVariableException(String s)` Construct a `NoSuchVariableException` with the specified detail message.

Methods inherited from class dods.dap.DODSException
`getErrorCode, getErrorMessage, getMessage, getProgramSource, getProgramType, parse, print, print, setErrorCode, setErrorMessage, setProgramSource, setProgramType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchVariableException

    public NoSuchVariableException(String s)

  Construct a `NoSuchVariableException` with the specified detail message.

Parameters:
  `s` - the detail message.

### NoSuchVariableException

    public NoSuchVariableException(int err,
                                   String s)

  Construct a `NoSuchVariableException` with the specified message and DODS error code see (`DODSException`).

Parameters:
  `err` - the DODS error code.
  `s` - the detail message.